Bug 191735 - openjdk7 unpack200 utility broken
Summary: openjdk7 unpack200 utility broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-08 11:34 UTC by Jimmy Kelley
Modified: 2014-07-12 17:38 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2014-07-08 11:34:45 UTC
The unpack200 utility in the openjdk7 port (7.60.19_1,1) appears to work, but the resulting unpacked file is corrupt.
Comment 1 Jimmy Kelley 2014-07-08 11:42:00 UTC
How to reproduce:
Fetch a packed and gzipped jar from the internet:
  fetch http://download.eclipse.org/tools/orbit/downloads/drops/R20140114142710/repository/plugins/javax.annotation_1.1.0.v201209060031.jar.pack.gz

Use the unpack200 utility on it:
  /usr/local/openjdk7/bin/unpack200 javax.annotation_1.1.0.v201209060031.jar.pack.gz javax.annotation_1.1.0.v201209060031.jar

Try to view the contents of the jar:
  jar tf javax.annotation_1.1.0.v201209060031.jar

There are no problems with the openjdk6 or openjdk8 versions of this utility.
Comment 2 John Marino freebsd_committer 2014-07-11 07:47:12 UTC
CC maintainer.
It's technically maintained by glewis@, not java@
Comment 3 Greg Lewis freebsd_committer 2014-07-12 17:30:31 UTC
Thanks.  I can reproduce this.  I have a fix I'll commit shortly.
Comment 4 Greg Lewis freebsd_committer 2014-07-12 17:38:24 UTC
Fix is now committed.  Please update to 7.60.19_2,1.